#!/usr/bin/env di
build . -x '\S+\.([hc]c?(pp)?|pl|test|in)\s'
exndb  extra/ include/  mysys/ sql/ -X '(Make|vcproj)'
portlib  ndb/include/ ndb/src/common/portlib/ -X Make 
mgm   ndb/src/mgm* -m '\S+\.[hc]c?(pp)?(\.in)?'
kernel ndb/src/kernel -X Make
nonkernel ndb/src/ -x'\S*(ndb/src/[km]|portli)\S+' -m'\S+\.[hc]c?(pp)?(\.in)?' 
test ndb/test/ mysql-test/ -X Make
tool ndb/tools -X Make
